Storyden
Accounts

Account List

List accounts for administrative moderation purposes. This endpoint is intended for staff-facing member search and returns denser account data than the public profile listing such as email addresses, held auth services and administrative flags. Requires VIEW_ACCOUNTS. This is a read-only permission; account mutation endpoints require narrower management permissions like MANAGE_ACCOUNTS, MANAGE_SUSPENSIONS or ADMINISTRATOR.

GET
/admin/accounts

List accounts for administrative moderation purposes. This endpoint is intended for staff-facing member search and returns denser account data than the public profile listing such as email addresses, held auth services and administrative flags.

Requires VIEW_ACCOUNTS. This is a read-only permission; account mutation endpoints require narrower management permissions like MANAGE_ACCOUNTS, MANAGE_SUSPENSIONS or ADMINISTRATOR.

Authorization

cookiestoryden-session<token>

Query Parameters

q?string

Search query string.

Length0 <= length
page?string

Pagination query parameters.

sort?string

Profiles sort by query

roles?array<>

Profiles role filter query

joined?string

Profiles join range query

Formatiso8601-interval
invited_by?array<>

Profiles invited by query (account handles)

suspended?boolean

Filter accounts by suspension state.

admin?boolean

Filter accounts by administrator status.

kind?string

Filter accounts by account type.

Value in"human""bot"
auth_service?array<AuthProviderIdentifier>

Filter accounts by one or more active authentication services.

Response Body

OK

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
accounts*array<>
Example Request
curl -X GET 'https://example.com/api/admin/accounts'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "accounts": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "joined": "2019-08-24T14:15:22Z",      "suspended": "2019-08-24T14:15:22Z",      "handle": "string",      "name": "string",      "roles": [        {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "name": "string",          "colour": "string",          "permissions": [            "CREATE_POST"          ],          "meta": {},          "badge": true,          "default": true        }      ],      "bio": "string",      "signature": "string",      "links": [        {          "text": "string",          "url": "string"        }      ],      "meta": {},      "verified_status": "none",      "kind": "human",      "email_addresses": [        {          "id": "string",          "email_address": "string",          "verified": true        }      ],      "auth_services": [        "string"      ],      "notifications": 0,      "admin": true,      "invited_by": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      }    }  ]}